# kill

execute as @e[type=#chests:displays,tag=chests.chest] at @s unless block ~ ~ ~ chest run kill @s
execute as @e[type=#chests:displays,tag=chests.present] at @s unless block ~ ~ ~ #chests:player_heads run kill @s

# Magnet Chest

execute as @e[type=block_display,tag=chests.item_magnet] at @s as @e[type=item,distance=..8] run function chests:chest/item_magnet/tp_item

execute as @e[type=item,tag=chests.item_magnet.item,nbt=!{Item:{components:{}}}] at @s align xyz if block ~.5 ~.5 ~.5 chest if data block ~ ~ ~ {components:{"minecraft:custom_data":{chest:"item_magnet"}}} run function chests:chest/item_magnet/insert_item.nocps with entity @s Item
execute as @e[type=item,tag=chests.item_magnet.item,nbt={Item:{components:{}}}] at @s align xyz if block ~.5 ~.5 ~.5 chest if data block ~ ~ ~ {components:{"minecraft:custom_data":{chest:"item_magnet"}}} run function chests:chest/item_magnet/insert_item with entity @s Item

execute as @e[type=item,nbt={Age:2s}] run data merge entity @s {NoGravity:0b}

# Xp Magnet Chest

execute as @e[type=block_display,tag=chests.xp_magnet] at @s as @e[type=experience_orb,tag=!chests.xp,distance=..8] run function chests:chest/xp_magnet/insert_xp with entity @s

execute as @a store result score @s chestsplus.xp run data get entity @s SelectedItem.components."minecraft:custom_data".Value

# Ender Chest

execute as @e[type=interaction,tag=chests.ender_chest.code_1] at @s if data entity @s interaction on target run function chests:chest/ender_chest/change_code.code_1
execute as @e[type=interaction,tag=chests.ender_chest.code_2] at @s if data entity @s interaction on target run function chests:chest/ender_chest/change_code.code_2
execute as @e[type=interaction,tag=chests.ender_chest.code_3] at @s if data entity @s interaction on target run function chests:chest/ender_chest/change_code.code_3

execute as @e[type=block_display,tag=chests.ender_chest] run function chests:chest/ender_chest/set_code

execute as @e[type=block_display,tag=chests.ender_chest.code_1] run scoreboard players operation @s chestsplus.ender_chest.code *= #16^0 chestsplus.ender_chest.code
execute as @e[type=block_display,tag=chests.ender_chest.code_2] run scoreboard players operation @s chestsplus.ender_chest.code *= #16^1 chestsplus.ender_chest.code
execute as @e[type=block_display,tag=chests.ender_chest.code_3] run scoreboard players operation @s chestsplus.ender_chest.code *= #16^2 chestsplus.ender_chest.code

execute as @e[type=block_display,tag=chests.ender_chest.code_1] at @s run scoreboard players operation @s chestsplus.ender_chest.code += @n[type=block_display,tag=chests.ender_chest.code_2] chestsplus.ender_chest.code
execute as @e[type=block_display,tag=chests.ender_chest.code_1] at @s run scoreboard players operation @s chestsplus.ender_chest.code += @n[type=block_display,tag=chests.ender_chest.code_3] chestsplus.ender_chest.code

execute as @e[type=block_display,tag=chests.ender_chest.code_1,predicate=chests:sender] at @s if score @n[type=block_display,tag=chests.ender_chest.code_1,predicate=chests:reciever] chestsplus.ender_chest.code = @s chestsplus.ender_chest.code run function chests:chest/ender_chest/check_item

# Present

execute as @e[type=interaction,tag=chests.present.int] at @s if data entity @s attack run function chests:chest/present/mine

execute as @e[type=interaction,tag=chests.present.int] at @s if data entity @s interaction on target if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":true},"equipment":{"mainhand":{"count":0}}}} run function chests:chest/present/rotate

execute as @e[type=interaction,tag=chests.present.int,tag=!chests.present.open] at @s if data entity @s interaction on target if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":false},"equipment":{"mainhand":{"count":0}}}} run function chests:chest/present/open
execute as @e[type=interaction,tag=chests.present.int,tag=chests.present.open] at @s if data entity @s interaction on target if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":false},"equipment":{"mainhand":{"count":0}}}} run function chests:chest/present/close

execute as @e[type=interaction,tag=chests.present.int] at @s if data entity @s interaction on target if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":true},"equipment":{"mainhand":{"count":{"min":1,"max":99}}}}} run function chests:chest/present/change_material

execute as @e[type=interaction,tag=chests.present.int,tag=chests.present.open] at @s if data entity @s interaction on target if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":false},"equipment":{"mainhand":{"count":{"min":1,"max":99}}}}} run function chests:chest/present/set_item